Groovy 1.7.0

## groovy.servlet
Class TemplateServlet.TemplateCacheEntry

    java.lang.Object
      groovy.servlet.TemplateServlet.TemplateCacheEntry

    class TemplateServlet.TemplateCacheEntry

Simple cache entry that validates against last modified and length attributes of the specified file.

author:
  Christian Stein

Field Summary
`Date` | `date`
`long` | `hit`
`long` | `lastModified`
`long` | `length`
`Template` | `template`

Constructor Summary
`TemplateServlet.TemplateCacheEntry(File file, Template template)`
`TemplateServlet.TemplateCacheEntry(File file, Template template, boolean timestamp)`

Method Summary
`String` | `toString()`
`boolean` | `validate(File file)` Checks the passed file attributes against those cached ones.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### date

    Date date

### hit

    long hit

### lastModified

    long lastModified

### length

    long length

### template

    Template template

Constructor Detail

### TemplateServlet.TemplateCacheEntry

    public TemplateServlet.TemplateCacheEntry(File file, Template template)

### TemplateServlet.TemplateCacheEntry

    public TemplateServlet.TemplateCacheEntry(File file, Template template, boolean timestamp)

Method Detail

### toString

    public String toString()

### validate

    public boolean validate(File file)

  Checks the passed file attributes against those cached ones.
  param:
    file Other file handle to compare to the cached values.
  return:
    `true` if all measured values match, else `false`

Copyright © 2003-2009 The Codehaus. All rights reserved.